October 20, 2017, 04:23:25 PM
Welcome, Guest. Please login or register.

Support THS!! Buy a t-shirt at the top-hat-sec store! http://www.top-hat-sec.com/store/p23/T-Shirts.html

Author Topic: Sqlmap missed up  (Read 1319 times)

Offline Doxist

  • knowledge is power
  • Top Hat Member
  • Prospect
  • ********
  • Posts: 19
  • Internets: +2/-4
Sqlmap missed up
« on: December 23, 2014, 03:20:43 PM »
This happened after I installed nosqlmap

I have done everything to try and fix this please help.


[18:05:19] [ERROR] not a git repository. Please checkout the 'sqlmapproject/sqlmap' repository from GitHub (e.g. git clone https://github.com/sqlmapproject/sqlmap.git sqlmap-dev)
Code: [Select]
sqlmap: error: missing a mandatory option (-d, -u, -l, -m, -r, -g, -c, -x, --wizard, --update, --purge-output or --dependencies), use -h for basic or -hh for advanced help
So high

Offline ZEROF

  • Top Hat Member
  • Experienced
  • ********
  • Posts: 225
  • Internets: +45/-1
    • Pentester
Re: Sqlmap missed up
« Reply #1 on: December 24, 2014, 03:22:00 AM »
Hi,

That was bad idea. And in situation like this if you didn't write down your steps, it's kind of mess. I will try to help or that can make even worse :).

First let see what you have done?

1. Did you removed sqlmap with apt-get remove sqlmap or you just installed nosqlmap
2. Maybe your sqlmap is just ok, but you need to learn how to use it, and you try to run commands not supported in last sqlmap version
3. Did you try to run sqlmap -h or sqlmap -hh

Etc...

We are not in same room with you and if you don't know what you are doing it's better to ask on our forum if some dev can test it, or even here. I visit THS almost every day.

Offline Doxist

  • knowledge is power
  • Top Hat Member
  • Prospect
  • ********
  • Posts: 19
  • Internets: +2/-4
Re: Sqlmap missed up
« Reply #2 on: December 24, 2014, 04:13:18 AM »
Thanks for the help but I got most of it I just need to install these

Code: [Select]
[07:10:55] [WARNING] sqlmap requires 'python cx_Oracle' third-party library in order to directly connect to the DBMS Oracle. Download from http://cx-oracle.sourceforge.net/
[07:10:55] [WARNING] sqlmap requires 'python ibm-db' third-party library in order to directly connect to the DBMS IBM DB2. Download from http://code.google.com/p/ibm-db/
[07:10:55] [WARNING] sqlmap requires 'python jaydebeapi & python-jpype' third-party library in order to directly connect to the DBMS HSQLDB. Download from https://pypi.python.org/pypi/JayDeBeApi/ & http://jpype.sourceforge.net/
[07:10:55] [WARNING] sqlmap requires 'python-pyodbc' third-party library in order to directly connect to the DBMS Microsoft Access. Download from http://pyodbc.googlecode.com/

Code: [Select]
sudo pip install cx_Oracle
Downloading/unpacking cx-Oracle
  Downloading cx_Oracle-5.1.3.tar.gz (104kB): 104kB downloaded
  Running setup.py (path:/tmp/pip_build_root/cx-Oracle/setup.py) egg_info for package cx-Oracle
    Traceback (most recent call last):
      File "<string>", line 17, in <module>
      File "/tmp/pip_build_root/cx-Oracle/setup.py", line 135, in <module>
        raise DistutilsSetupError("cannot locate an Oracle software " \
    distutils.errors.DistutilsSetupError: cannot locate an Oracle software installation
    Complete output from command python setup.py egg_info:
    Traceback (most recent call last):

  File "<string>", line 17, in <module>

  File "/tmp/pip_build_root/cx-Oracle/setup.py", line 135, in <module>

    raise DistutilsSetupError("cannot locate an Oracle software " \

distutils.errors.DistutilsSetupError: cannot locate an Oracle software installation

----------------------------------------
Cleaning up...
Command python setup.py egg_info failed with error code 1 in /tmp/pip_build_root/cx-Oracle
Storing debug log for failure in /home/lulzcat/.pip/pip.log

I get this error I am also on your irc
« Last Edit: December 24, 2014, 04:33:32 AM by Doxist »
So high

Offline ZEROF

  • Top Hat Member
  • Experienced
  • ********
  • Posts: 225
  • Internets: +45/-1
    • Pentester
Re: Sqlmap missed up
« Reply #3 on: December 25, 2014, 07:54:13 AM »